yesod-form-1.4.9: Form handling support for Yesod Web Framework

Safe Haskell | None
Language | Haskell98

Yesod.Form.MassInput

Description

A module providing a means of creating multiple input forms, such as a list of 0 or more recipients.

Synopsis

- inputList :: (m ~ HandlerT site IO, xml ~ WidgetT site IO (), RenderMessage site FormMessage) => Html -> ([[FieldView site]] -> xml) -> (Maybe a -> AForm (HandlerT site IO) a) -> Maybe [a] -> AForm (HandlerT site IO) [a]
- massDivs :: [[FieldView site]] -> WidgetT site IO ()
- massTable :: [[FieldView site]] -> WidgetT site IO ()

# Documentation

inputList #

Arguments

:: (m ~ HandlerT site IO, xml ~ WidgetT site IO (), RenderMessage site FormMessage) |
=> Html | label for the form
-> ([[FieldView site]] -> xml) | how to display the rows, usually either `massDivs` or `massTable`
-> (Maybe a -> AForm (HandlerT site IO) a) | display a single row of the form, where `Maybe a` gives the previously submitted value
-> Maybe [a] | default initial values for the form
-> AForm (HandlerT site IO) [a] |

Generate a form that accepts 0 or more values from the user, allowing the user to specify that a new row is necessary.

massDivs :: [[FieldView site]] -> WidgetT site IO () #

massTable :: [[FieldView site]] -> WidgetT site IO () #